import request from '@/utils/request'

// 查询压力容器年检报告列表
export function listReportYlrq(query) {
  return request({
    url: '/sems/reportYlrq/list',
    method: 'get',
    params: query
  })
}

// 同步压力容器年检报告数据
export function syncReportYlrq() {
  return request({
    url: '/sems/reportYlrq/sync',
    method: 'get'
  })
}

// 查询压力容器年检报告详细
export function getReportYlrq(id) {
  return request({
    url: '/sems/reportYlrq/' + id,
    method: 'get'
  })
}

// 新增压力容器年检报告
export function addReportYlrq(data) {
  return request({
    url: '/sems/reportYlrq',
    method: 'post',
    data: data
  })
}

// 修改压力容器年检报告
export function updateReportYlrq(data) {
  return request({
    url: '/sems/reportYlrq',
    method: 'put',
    data: data
  })
}

// 删除压力容器年检报告
export function delReportYlrq(id) {
  return request({
    url: '/sems/reportYlrq/' + id,
    method: 'delete'
  })
}

// 导出压力容器年检报告
export function exportReportYlrq(query) {
  return request({
    url: '/sems/reportYlrq/export',
    method: 'get',
    params: query
  })
}
